%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Validate

Name:           php-pear-Validate
Version:        0.8.5
Release:        9%{?dist}
Summary:        Validation Class for Various Data Types

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Validate
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear
# for test suite
BuildRequires:  php-pear(Validate_Finance_CreditCard) php-pear(Date)

Requires:       php-pear(PEAR)
Requires:       php-pear(Date)
# Not yet available Requires: php-pear(Net_IDNA)
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:       php-pear(%{pear_name}) = %{version}


%description
Package to validate various data. It includes :
- numbers (min/max, decimal or not)
- email (syntax, domain check, rfc822)
- string (predefined type alpha upper and/or lowercase, numeric,...)
- date (min, max)
- uri (RFC2396)
- possibility valid multiple data with a single method call (::multiple)


%prep
%setup -qc
%{_bindir}/php %{SOURCE2} package.xml | tee CHANGELOG | head -n 10

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
install -d %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}
%{__pear} \
   run-tests \
   -i "-d include_path=%{buildroot}%{pear_phpdir}:%{pear_phpdir}" \
   tests | tee ../tests.log
# pear doesn't set return code
if grep -q "FAILED TESTS" ../tests.log; then
  for fic in tests/*.diff; do
    cat $fic; echo -e "\n"
  done
  exit 1
fi


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null ||:

%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Validate.php


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 0.8.5-6
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 0.8.5-4
- rebuilt for new pear_testdir

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Remi Collet <remi@fedoraproject.org> 0.8.5-1
- Version 0.8.5 (beta) - API 0.7.0 (beta) - QA release
- removed merged patch

* Tue Apr 26 2011 Remi Collet <Fedora@FamilleCollet.com> 0.8.4-4
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 16 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.8.4-2.1
- display failed tests
- test suite broken in mock (domain check)

* Sat Oct 16 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.8.4-2
- upstream approved patches for  https://pear.php.net/bugs/17947
  and https://pear.php.net/bugs/17948
- run test suite during %%check

* Mon Oct 11 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.8.4-1
- Version 0.8.4 (beta) - API 0.7.0 (beta) - QA release
- add generated Changelog

* Mon Aug 23 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.8.3-1
- update to 0.8.3
- clean define
- rename Validate.xml to php-pear-Validate.xml
- set date.timezone during build

* Mon Sep 14 2009 Christopher Stone <chris.stone@gmail.com> 0.8.2-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 20 2008 Christopher Stone <chris.stone@gmail.com> 0.8.1-1
- Upstream sync

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.7.0-1
- Upstream sync

* Wed Sep 06 2006 Christopher Stone <chris.stone@gmail.com> 0.6.4-1
- Upstream sync

* Fri Jun 30 2006 Christopher Stone <chris.stone@gmail.com> 0.6.3-1
- Initial Release
